Message (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.service
Class Message

    java.lang.Object
      fr.inrialpes.exmo.align.service.Message

Direct Known Subclasses:
  ErrorMsg, Success

    public class Message

extends Object

Contains the messages that should be sent according to the protocol

Field Summary
`(package private) String` | `content`
`(package private) Message` | `inReplyTo`
`(package private) Properties` | `parameters`
`(package private) String` | `receiver`
`(package private) String` | `sender`
`(package private) int` | `surrogate`

Constructor Summary
`Message(int surr, Message rep, String from, String to, String cont, Properties param)`

Method Summary
`String` | `getContent()`
`int` | `getId()`
`Message` | `getInReplyTo()`
`Properties` | `getParameters()`
`String` | `getReceiver()`
`String` | `getSender()`
`String` | `HTMLRESTString()`
`String` | `HTMLString()`
`String` | `RESTString()`
`String` | `SOAPString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### surrogate

    int surrogate

### inReplyTo

    Message inReplyTo

### receiver

    String receiver

### sender

    String sender

### content

    String content

### parameters

    Properties parameters

Constructor Detail

### Message

    public Message(int surr,
                   Message rep,
                   String from,
                   String to,
                   String cont,
                   Properties param)

Method Detail

### HTMLString

    public String HTMLString()

### RESTString

    public String RESTString()

### HTMLRESTString

    public String HTMLRESTString()

### SOAPString

    public String SOAPString()

### getId

    public int getId()

### getInReplyTo

    public Message getInReplyTo()

### getReceiver

    public String getReceiver()

### getContent

    public String getContent()

### getSender

    public String getSender()

### getParameters

    public Properties getParameters()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010